Skip to content

SonaConvertUserToSSOByPersonID

Description

This API converts a non-SSO user to a SSO user using the numeric person_id of the user as the identifier.

Input Parameters

Below are the following input parameters for use with the SonaConvertUserToSSOByPersonID API function.

Parameter Description / Possible Values
api_key Use API key generated for Sona admin user
person_id The person_id to convert to SSO (e.g. 1234)
sso_id The SSO id of the user (e.g. someuser@myschool.edu)

Output Parameters

Will return True if converted else errors.

Error Codes

Below are the possible error messages encountered and their respective descriptions.

Error Type Error Code Description
Authentication Failed -1 through -7 Standard authentication errors
Error Code -8 User not found
Error Code -9 sso_id already exists
Error Code -10 Invalid SSO ID
Error Code -11 Invalid person_id

Sample Input

Request URL

https://myschool.sona-systems.com/services/SonaAPI.svc/SonaConvertUserToSSOByPersonID?api_key=YOUR_API_KEY&person_id=1234&sso_id=[email protected]

URL components

Component Value
Scheme https
Host myschool.sona-systems.com
Service path /services/SonaAPI.svc
Function SonaConvertUserToSSOByPersonID

Query parameters

api_key = YOUR_API_KEY
person_id = 1234
sso_id = [email protected]

Sample Output

<SonaConvertUserToSSOByPersonIDResponse
  xmlns="https://www.sona-systems.com/"
  xmlns:a="http://schemas.datacontract.org/2004/07/emsdotnet.sonasystems"
  xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <SonaConvertUserToSSOByPersonIDResult>
    <a:Errors i:nil="true" />
    <a:Result>true</a:Result>
  </SonaConvertUserToSSOByPersonIDResult>
</SonaConvertUserToSSOByPersonIDResponse>